---
title: llarp/util/logging/loglevel.hpp

---

# llarp/util/logging/loglevel.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |




## Source code

```cpp
#pragma once
#include <string>
#include <optional>

namespace llarp
{
  // probably will need to move out of llarp namespace for c api
  enum LogLevel
  {
    eLogTrace,
    eLogDebug,
    eLogInfo,
    eLogWarn,
    eLogError,
    eLogNone
  };

  std::string
  LogLevelToString(LogLevel level);

  std::string
  LogLevelToName(LogLevel lvl);

  std::optional<LogLevel>
  LogLevelFromString(std::string level);

}  // namespace llarp
```


-------------------------------

Updated on 2022-05-24 at 16:57:33 +0000
